Bug 735672

Summary: Review Request: ruby-build - simple way to compile and install different versions of Ruby on UNIX-like systems.
Product: [Fedora] Fedora Reporter: Tejas Dinkar <tejasdinkar>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: james.hogarth, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-04 03:02:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449    

Description Tejas Dinkar 2011-09-04 20:07:06 UTC
Spec URL: http://tejas.fedorapeople.org/ruby-build/ruby-build.spec
SRPM URL: <srpm info here>
Description: ruby-build provides a simple way to compile and install different versions of Ruby on UNIX-like systems.

I'm currenly asking the maintainer of ruby-build to tag releases of ruby-build. Currently, the version number was set by me. I wanted a bit of feedback on the steps in the %install, specifically, if this line is allowed: 

PREFIX=%{buildroot}%{_prefix} ./install.sh

(as this calls install.sh in the tarball).

Comment 1 Tejas Dinkar 2011-09-07 18:51:10 UTC
SRPM URL: http://tejas.fedorapeople.org/ruby-build/ruby-build-20110906.1-2.fc15.src.rpm
I checked with mether about the style of using install.sh, and he felt it was acceptable.

Comment 2 Jason Tibbitts 2013-05-08 22:33:40 UTC
I am triaging old review tickets.  I apologize that it has been so long since 
anyone looked at this ticket, but there are more packages submitted now than
the pool of reviewers can handle, and some tickets fall through the cracks.

In order to keep the queue manageable, we need to occasionally find tickets 
which are not reviewable so as to not waste what reviewer time is available.  
Accordingly, I'm pinging this ticket and setting NEEDINFO.  If you are still 
interested in having your package reviewed, please do the following:

* Make sure your package still reflects the current status of its upstream.

* Check that your package still builds on current Fedora releases.

* Audit your package versus the current status of the packaging guidelines, 
  current rpmlint and current fedora-review tools.

And, finally, reply, making sure that the NEEDINFO flag gets cleared so that
this ticket reappears in the review queue.  I can't promise a review if you 
reply, but by closing out the stale tickets we can devote extra attention to 
the ones which aren't stale.

Comment 3 Upstream Release Monitoring 2015-09-24 15:04:57 UTC
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Comment 4 James Hogarth 2015-12-04 03:02:59 UTC
There had been no response from the requester to a needs info flag in over a year.

Closing this bug as per policy

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews